Subject: Re: [net-next PATCH v3 00/12] Flow API

From: Jamal Hadi Salim <[email-masked]>
Date: Sat, 24 Jan 2015 07:36:40 -0500

On 01/23/15 06:39, Jiri Pirko wrote:

> Maybe I did not express myself correctly. I do not care if this is
> exposed by rtnl or a separate genetlink. The issue still stands. And the
> issue is that the user have to use "the way A" to setup sw datapath and
> "the way B" to setup hw datapath. The preferable would be to have
> "the way X" which can be used to setup both sw and hw.
>
> And I believe that could be achieved. Consider something like this:
>
> - have cls_xflows tc classifier and act_xflows tc action as a wrapper
>    (or api) for John's work. With possibility for multiple backends. The
>    backend iface would looke very similar to what John has now.
> - other tc clses and acts will implement xflows backend
> - openvswitch datapath will implement xflows backend
> - rocker switch will implement xflows backend
> - other drivers will implement xflows backend
>
> Now if user wants to manipulate with any flow setting, he can just use
> cls_xflows and act_xflows to to that.
>
> This is very rough, but I just wanted to draw the picture. This would
> provide single entry to flow world manipulation in kernel, no matter if
> sw or hw.
>
> Thoughts?
>

Exactly my thinking as well.
I guess skipping a few emails helps.

cheers,
jamal